curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/test \
--header 'Authorization: Bearer <token>'{
"data": {
"passed": true,
"error": "<string>",
"statusCode": 123,
"responseTimeMs": 123,
"responseHeaders": {},
"bodyPreview": "<string>",
"responseSizeBytes": 123,
"redirectCount": 123,
"finalUrl": "<string>",
"assertionResults": [
{
"assertionType": "status_code",
"passed": true,
"severity": "fail",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"warnings": [
"<string>"
]
}
}Runs the saved config and assertions of an existing monitor once, without persisting any result. Runs synchronously and returns the same shape as the ad-hoc test.
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/test \
--header 'Authorization: Bearer <token>'{
"data": {
"passed": true,
"error": "<string>",
"statusCode": 123,
"responseTimeMs": 123,
"responseHeaders": {},
"bodyPreview": "<string>",
"responseSizeBytes": 123,
"redirectCount": 123,
"finalUrl": "<string>",
"assertionResults": [
{
"assertionType": "status_code",
"passed": true,
"severity": "fail",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"warnings": [
"<string>"
]
}
}